import '../defined.dart';

class BaseRequestPaging<D> {
  final D? queryData;
  final int limit;
  final int offset;

  const BaseRequestPaging({
    this.queryData,
    this.offset = defaultOffsetPaging,
    this.limit = defaultLimitPaging,
  });
}

class BaseResponsePaging<D> {
  final List<D> dataList;
  final int currentOffset;

  const BaseResponsePaging({
    this.dataList = const [],
    this.currentOffset = defaultInvalidOffset,
  });
}
